Skip to main content
`Ctrl`+`K`
scipy.stats.Uniform.

# standard_deviation

Uniform.standard_deviation(*, method=None)

  Standard deviation (square root of the second central moment)

  Parameters:
    method{None, ‘formula’, ‘transform’, ‘normalize’, ‘quadrature’, ‘cache’}

      Method used to calculate the central second moment. Not all methods are available for all distributions. See `moment` for details.

  See also

  `variance`
  `mean`
  `moment`

  References

  [1]

  Standard deviation, Wikipedia, https://en.wikipedia.org/wiki/Standard_deviation#Definition_of_population_values

  Examples

  Instantiate a distribution with the desired parameters:

      >>> from scipy import stats
      >>> X = stats.Normal(mu=1., sigma=2.)

  Evaluate the standard deviation:

      >>> X.standard_deviation()
      2.0
      >>> X.standard_deviation() == X.moment(order=2, kind='central')**0.5 == X.sigma
      True